Name:           al-anvar
Version:        0.4.8
Release:        1%{?dist}
Summary:        A cross-platform Quran Study Software
Group:          Applications/System

License:        GPLv3+
URL:            http://sourceforge.net/projects/al-anvar/
Source0:        http://downloads.sourceforge.net/al-anvar/src-%{name}-%{version}.tar.gz

BuildRequires:  qt-devel desktop-file-utils phonon-devel

%description
Al-Anvar is a cross-platform Quran Study Software. It uses "Tanzil.net" and
"Zekr.org" database as its database,
It has lots of features:
    - Text of the Quran
    - Adding different translations of the Quran
    - Adding interpretation of the Quran
    - Direct download and install for translations and interpretations and so on
     through program
    - Comparison between translations
    - Comparison between interpretations
    - Putting note in the following of each verse
    - Classifying the subject for verses of the Quran (with classifying the
      subject possibility by user)
    - Repeated verses
    - Related verses in terms of subject
    - Reading online Quran (with storing downloaded files) and offline by
      different readers of the Quran from website http://everyayah.com
    - Repeat adjustment of reading of verses
    - reading verses in the range a chapter (sura) or a division or a component.
    - Advanced search
    - Presenting chapters or chapters on different tabs
    - Saving with Html, PDF and ODF formats
    - Changing the font and color and size of the text and translations of the
      Quran and also font, style and themes of software separately

%prep
%setup -q -n src-%{name}-%{version}
find -type f -exec chmod a-x {} \;

%build
qmake-qt4 -config release
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -rf %{buildroot}/%{_datadir}/{app-install,fonts}


%files
%doc COPYING README 
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Sat Feb 09 2013 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.4.8-1
- Update to 0.4.8

* Wed Jul 11 2012 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.4.0-1
- Updated to 0.4.0

* Sun Apr 29 2012 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.3.5-1
- Initial version

